Mailinglist Archive: opensuse-updates (124 mails)

< Previous Next >
openSUSE-SU-2017:1822-1: moderate: Security update for libgcrypt
openSUSE Security Update: Security update for libgcrypt
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:1822-1
Rating: moderate
References: #1046607
Cross-References: CVE-2017-7526
Affected Products:
openSUSE Leap 42.2
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for libgcrypt fixes the following issues:

- CVE-2017-7526: Hardening against a local side-channel attack in RSA key
handling has been added (bsc#1046607)

This update was imported from the SUSE:SLE-12:Update update project.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-796=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.2 (i586 x86_64):

libgcrypt-cavs-1.6.1-34.6.1
libgcrypt-cavs-debuginfo-1.6.1-34.6.1
libgcrypt-debugsource-1.6.1-34.6.1
libgcrypt-devel-1.6.1-34.6.1
libgcrypt-devel-debuginfo-1.6.1-34.6.1
libgcrypt20-1.6.1-34.6.1
libgcrypt20-debuginfo-1.6.1-34.6.1
libgcrypt20-hmac-1.6.1-34.6.1

- openSUSE Leap 42.2 (x86_64):

libgcrypt-devel-32bit-1.6.1-34.6.1
libgcrypt-devel-debuginfo-32bit-1.6.1-34.6.1
libgcrypt20-32bit-1.6.1-34.6.1
libgcrypt20-debuginfo-32bit-1.6.1-34.6.1
libgcrypt20-hmac-32bit-1.6.1-34.6.1


References:

https://www.suse.com/security/cve/CVE-2017-7526.html
https://bugzilla.suse.com/1046607


< Previous Next >
This Thread
  • No further messages